Bug 33006 - Prevent Univention-System-Setup network configuration while KVM/Xen is in use.
Prevent Univention-System-Setup network configuration while KVM/Xen is in use.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 3.2
All Linux
: P4 normal (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Erik Damrose
: interim-3
Depends on:
Blocks: 30816
  Show dependency treegraph
 
Reported: 2013-10-29 16:51 CET by Philipp Hahn
Modified: 2013-12-10 10:31 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
A not so earnest proposal ... (5.61 KB, text/plain)
2013-10-30 19:31 CET, Philipp Hahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-10-29 16:51:58 CET
+++ This bug was initially created as a clone of Bug #30816 +++
+++ This bug was initially created as a clone of Bug #28389 +++

TODO: univention-virtual-machine-manager-node-kvm
With uvmm-node-Xen/Kvm doing the ethX/pethX shuffle, this breaks the UMC logic: It detects the renamed physical interface 'pethX' and generates a profile for that instead of the 'ethX' wich "ifup" will see before the dance is done.
Therefore the uvmm-node-* packages will set a new UCRV umc/modules/setup/network=false, which should disable the full UMC network page and show a link to <http://docs.univention.de/computers-3.2.html#uvmm> instead explaining the situation.
Comment 1 Philipp Hahn univentionstaff 2013-10-29 17:09:13 CET
The UCRV umc/modules/setup/network=33006 is set in the uvmm-node-{kvm,xen}.postinst unless the scripts are already deactivated.
The number 33006 represents this bug number and is used to distinguish this issue from future issues also requiring the page to be disabled.

ChangeLog:
Added support to configure Bridge, Bond and VLAN interfaces.
This is blocked while the deprecated KVM and Xen script are still used, which normally setup a bnetwork ridge for virtualisation.
See <ulink url="http://docs.univention.de/computers-3.2.html#uvmm"/> for detailed instructions
(<ulink url="&ucsbug;30816">Bug 30816</ulink>, <ulink url="&ucsbug;30878">Bug 30878</ulink>, <ulink url="&ucsbug;33006">Bug 33006</ulink>).

r45692 | Bug #33006: UVMM: Disable setup network
univention-virtual-machine-manager-node_2.0.4-1.71.201310291707

<http://jenkins.knut.univention.de:8080/view/Doku/job/UCS-3.2-0%20Handbook%20Extended/lastSuccessfulBuild/artifact/webroot/computers-3.2.html#uvmm>
Comment 2 Philipp Hahn univentionstaff 2013-10-29 17:20:02 CET
(In reply to Philipp Hahn from comment #1)
> ChangeLog:
...
> which normally setup a [-b-]network {+b+}ridge for virtualisation.

r45693 | Bug #33006: UVMM: Disable setup network
Comment 3 Stefan Gohmann univentionstaff 2013-10-29 20:23:38 CET
(In reply to Philipp Hahn from comment #1)
> The UCRV umc/modules/setup/network=33006 is set in the
> uvmm-node-{kvm,xen}.postinst unless the scripts are already deactivated.
> The number 33006 represents this bug number and is used to distinguish this
> issue from future issues also requiring the page to be disabled.

Please use a more describable key / value pair.
Comment 4 Philipp Hahn univentionstaff 2013-10-30 19:31:55 CET
Created attachment 5543 [details]
A not so earnest proposal ...

To be future proof two develops came up with this clever idea and agreed to use the bug number, which can be used to provide additional information and is guaranteed to be unique.
Sure we could prefix the "33006" with "issue-" or "https://forge.univention.org/bugzilla/show_bug.cgi?id=", but that wouldn't help IMHO.

If you have a better idea for name and value, please say so, I'm open to suggestions. I'm too tired to come up with a good alternative and I'm unwilling to spend any more time on this minor issue how to name this flag variable and its value.
Comment 5 Stefan Gohmann univentionstaff 2013-10-30 20:53:10 CET
You want to disable the network config dialog because the virtualization packages use a not compatible network configuration. My suggestion:

 umc/modules/setup/network/disabled/by=xen
 umc/modules/setup/network/disabled/by=kvm
 umc/modules/setup/network/disabled/by=none

New reasons can be easily added.
Comment 6 Stefan Gohmann univentionstaff 2013-10-31 17:12:02 CET
As discussed with Philipp, I've now renamed the variable as suggested. The variable will be removed in postrm.
Comment 7 Florian Best univentionstaff 2013-11-01 08:30:06 CET
I fixed xen.postrm to remove the variable if it is set to "xen" (instead of "kvm").
Comment 8 Lukas Walter univentionstaff 2013-11-01 17:30:16 CET
Network page hidden if xen/kvm is installed: OK
UCRVs set during installation: OK

UCRVs unset during deinstallation: FAIL, does not work for xen.
Comment 9 Stefan Gohmann univentionstaff 2013-11-01 20:02:49 CET
(In reply to Lukas Walter from comment #8)
> UCRVs unset during deinstallation: FAIL, does not work for xen.

Florian fixed it and I rebuild the package now. It works now.
Comment 10 Erik Damrose univentionstaff 2013-11-04 16:55:03 CET
(FAIL): Documentation not updated and still refers to UCRV umc/modules/setup/network
-> OK (r45839): I fixed the variable name in extended-docs/computers-3.2.xml

OK: umc/modules/setup/network/disabled/by is set and removed correctly by *-node-kvm and -xen packages
OK: works with system setup

VERIFIED
Comment 11 Philipp Hahn univentionstaff 2013-11-05 08:24:01 CET
(In reply to Erik Damrose from comment #10)
> (FAIL): Documentation not updated and still refers to UCRV
> umc/modules/setup/network

virtualization/univention-virtual-machine-manager-node/debian/univention-virtual-machine-manager-node-common.univention-config-registry-variables is now wrong too...
Comment 12 Stefan Gohmann univentionstaff 2013-11-05 08:52:39 CET
(In reply to Philipp Hahn from comment #11)
> (In reply to Erik Damrose from comment #10)
> > (FAIL): Documentation not updated and still refers to UCRV
> > umc/modules/setup/network
> 
> virtualization/univention-virtual-machine-manager-node/debian/univention-
> virtual-machine-manager-node-common.univention-config-registry-variables is
> now wrong too...

I've opened Bug #33111 for it.
Comment 13 Stefan Gohmann univentionstaff 2013-11-19 06:42:31 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".